## cdcat 0.97

=== src/Makefile ===
#############################################################################
# Makefile for building: cdcat
# Generated by qmake (1.04a) (Qt 3.1.1) on: Tue Apr 27 20:34:50 2004
# Project:  cdcat.pro
# Template: app
# Command: $(QMAKE) -o Makefile cdcat.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/mkspecs/default -I. -I$(QTDIR)/include -Imoc_files/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS)  -Wl,-rpath,$(QTDIR)/lib -L$(QTDIR)/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = obj_files/

####### Files

HEADERS = adddialog.h \
		cdcat.h \
		commwidget.h \
		config.h \
		dbase.h \
		dirview.h \
		find.h \
		guibase.h \
		hdirview.h \
		mainwidget.h \
		mp3tag.h \
		newdbdialog.h \
		recode.h \
		import.h \
		importdialog.h \
		wdbfile.h \
		icons.h \
		info.h \
		exportcdcatdb.h \
		showcontent.h \
		selreadable.h \
		borrow.h \
		tparser.h \
		misc.h
SOURCES = adddialog.cpp \
		cdcat.cpp \
		commwidget.cpp \
		config.cpp \
		dbase.cpp \
		dirview.cpp \
		find.cpp \
		guibase.cpp \
		hdirview.cpp \
		icons.cpp \
		import.cpp \
		importdialog.cpp \
		mainwidget.cpp \
		mp3tag.cpp \
		newdbdialog.cpp \
		recode.cpp \
		wdbfile.cpp \
		info.cpp \
		exportcdcatdb.cpp \
		showcontent.cpp \
		selreadable.cpp \
		borrow.cpp \
		tparser.cpp \
		misc.cpp
OBJECTS = obj_files/adddialog.o \
		obj_files/cdcat.o \
		obj_files/commwidget.o \
		obj_files/config.o \
		obj_files/dbase.o \
		obj_files/dirview.o \
		obj_files/find.o \
		obj_files/guibase.o \
		obj_files/hdirview.o \
		obj_files/icons.o \
		obj_files/import.o \
		obj_files/importdialog.o \
		obj_files/mainwidget.o \
		obj_files/mp3tag.o \
		obj_files/newdbdialog.o \
		obj_files/recode.o \
		obj_files/wdbfile.o \
		obj_files/info.o \
		obj_files/exportcdcatdb.o \
		obj_files/showcontent.o \
		obj_files/selreadable.o \
		obj_files/borrow.o \
		obj_files/tparser.o \
		obj_files/misc.o \
		obj_files/help.o
FORMS = help.ui
UICDECLS = help.h
UICIMPLS = help.cpp
SRCMOC   = moc_files/moc_adddialog.cpp \
		moc_files/moc_commwidget.cpp \
		moc_files/moc_config.cpp \
		moc_files/moc_dbase.cpp \
		moc_files/moc_dirview.cpp \
		moc_files/moc_find.cpp \
		moc_files/moc_guibase.cpp \
		moc_files/moc_hdirview.cpp \
		moc_files/moc_mainwidget.cpp \
		moc_files/moc_newdbdialog.cpp \
		moc_files/moc_import.cpp \
		moc_files/moc_importdialog.cpp \
		moc_files/moc_info.cpp \
		moc_files/moc_exportcdcatdb.cpp \
		moc_files/moc_showcontent.cpp \
		moc_files/moc_selreadable.cpp \
		moc_files/moc_borrow.cpp \
		moc_files/moc_help.cpp
OBJMOC = obj_files/moc_adddialog.o \
		obj_files/moc_commwidget.o \
		obj_files/moc_config.o \
		obj_files/moc_dbase.o \
		obj_files/moc_dirview.o \
		obj_files/moc_find.o \
		obj_files/moc_guibase.o \
		obj_files/moc_hdirview.o \
		obj_files/moc_mainwidget.o \
		obj_files/moc_newdbdialog.o \
		obj_files/moc_import.o \
		obj_files/moc_importdialog.o \
		obj_files/moc_info.o \
		obj_files/moc_exportcdcatdb.o \
		obj_files/moc_showcontent.o \
		obj_files/moc_selreadable.o \
		obj_files/moc_borrow.o \
		obj_files/moc_help.o
DIST	   = cdcat.pro
QMAKE_TARGET = cdcat
DESTDIR  = 
TARGET   = cdcat

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: cdcat.pro  $(QTDIR)/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile cdcat.pro
qmake: 
	@$(QMAKE) -o Makefile cdcat.pro

dist: 
	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

obj_files/adddialog.o: adddialog.cpp adddialog.h \
		guibase.h \
		dirview.h \
		icons.h \
		dbase.h \
		mainwidget.h \
		config.h \
		misc.h \
		selreadable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/adddialog.o adddialog.cpp

obj_files/cdcat.o: cdcat.cpp dbase.h \
		cdcat.h \
		config.h \
		mainwidget.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/cdcat.o cdcat.cpp

obj_files/commwidget.o: commwidget.cpp commwidget.h \
		dbase.h \
		cdcat.h \
		wdbfile.h \
		recode.h \
		icons.h \
		mainwidget.h \
		showcontent.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/commwidget.o commwidget.cpp

obj_files/config.o: config.cpp config.h \
		dbase.h \
		icons.h \
		cdcat.h \
		adddialog.h \
		mainwidget.h \
		selreadable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/config.o config.cpp

obj_files/dbase.o: dbase.cpp dbase.h \
		cdcat.h \
		mp3tag.h \
		wdbfile.h \
		adddialog.h \
		recode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dbase.o dbase.cpp

obj_files/dirview.o: dirview.cpp dirview.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dirview.o dirview.cpp

obj_files/find.o: find.cpp find.h \
		dbase.h \
		mainwidget.h \
		wdbfile.h \
		guibase.h \
		adddialog.h \
		config.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/find.o find.cpp

obj_files/guibase.o: guibase.cpp cdcat.h \
		guibase.h \
		borrow.h \
		mainwidget.h \
		dbase.h \
		recode.h \
		wdbfile.h \
		commwidget.h \
		hdirview.h \
		newdbdialog.h \
		adddialog.h \
		find.h \
		config.h \
		help.h \
		import.h \
		exportcdcatdb.h \
		info.h \
		showcontent.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/guibase.o guibase.cpp

obj_files/hdirview.o: hdirview.cpp hdirview.h \
		dbase.h \
		mainwidget.h \
		guibase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/hdirview.o hdirview.cpp

obj_files/icons.o: icons.cpp icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/icons.o icons.cpp

obj_files/import.o: import.cpp import.h \
		importdialog.h \
		mainwidget.h \
		dbase.h \
		config.h \
		guibase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/import.o import.cpp

obj_files/importdialog.o: importdialog.cpp importdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/importdialog.o importdialog.cpp

obj_files/mainwidget.o: mainwidget.cpp mainwidget.h \
		commwidget.h \
		hdirview.h \
		dbase.h \
		guibase.h \
		config.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/mainwidget.o mainwidget.cpp

obj_files/mp3tag.o: mp3tag.cpp mp3tag.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/mp3tag.o mp3tag.cpp

obj_files/newdbdialog.o: newdbdialog.cpp newdbdialog.h \
		dbase.h \
		cdcat.h \
		guibase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/newdbdialog.o newdbdialog.cpp

obj_files/recode.o: recode.cpp recode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/recode.o recode.cpp

obj_files/wdbfile.o: wdbfile.cpp wdbfile.h \
		adddialog.h \
		recode.h \
		dbase.h \
		cdcat.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/wdbfile.o wdbfile.cpp

obj_files/info.o: info.cpp info.h \
		cdcat.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/info.o info.cpp

obj_files/exportcdcatdb.o: exportcdcatdb.cpp icons.h \
		cdcat.h \
		exportcdcatdb.h \
		adddialog.h \
		recode.h \
		guibase.h \
		dbase.h \
		wdbfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/exportcdcatdb.o exportcdcatdb.cpp

obj_files/showcontent.o: showcontent.cpp showcontent.h \
		icons.h \
		dbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/showcontent.o showcontent.cpp

obj_files/selreadable.o: selreadable.cpp selreadable.h \
		config.h \
		dbase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/selreadable.o selreadable.cpp

obj_files/borrow.o: borrow.cpp borrow.h \
		icons.h \
		recode.h \
		dbase.h \
		cdcat.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/borrow.o borrow.cpp

obj_files/tparser.o: tparser.cpp tparser.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/tparser.o tparser.cpp

obj_files/misc.o: misc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/misc.o misc.cpp

help.h: help.ui 
	$(UIC) help.ui -o help.h

help.cpp: help.h help.ui 
	$(UIC) help.ui -i help.h -o help.cpp

obj_files/help.o: help.cpp help.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/help.o help.cpp

obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp adddialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_adddialog.o moc_files/moc_adddialog.cpp

obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp commwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_commwidget.o moc_files/moc_commwidget.cpp

obj_files/moc_config.o: moc_files/moc_config.cpp config.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_config.o moc_files/moc_config.cpp

obj_files/moc_dbase.o: moc_files/moc_dbase.cpp dbase.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dbase.o moc_files/moc_dbase.cpp

obj_files/moc_dirview.o: moc_files/moc_dirview.cpp dirview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dirview.o moc_files/moc_dirview.cpp

obj_files/moc_find.o: moc_files/moc_find.cpp find.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_find.o moc_files/moc_find.cpp

obj_files/moc_guibase.o: moc_files/moc_guibase.cpp guibase.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_guibase.o moc_files/moc_guibase.cpp

obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp hdirview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_hdirview.o moc_files/moc_hdirview.cpp

obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp mainwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_mainwidget.o moc_files/moc_mainwidget.cpp

obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp newdbdialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_newdbdialog.o moc_files/moc_newdbdialog.cpp

obj_files/moc_import.o: moc_files/moc_import.cpp import.h guibase.h \
		dbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_import.o moc_files/moc_import.cpp

obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp importdialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_importdialog.o moc_files/moc_importdialog.cpp

obj_files/moc_info.o: moc_files/moc_info.cpp info.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_info.o moc_files/moc_info.cpp

obj_files/moc_exportcdcatdb.o: moc_files/moc_exportcdcatdb.cpp exportcdcatdb.h recode.h \
		guibase.h \
		dbase.h \
		wdbfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_exportcdcatdb.o moc_files/moc_exportcdcatdb.cpp

obj_files/moc_showcontent.o: moc_files/moc_showcontent.cpp showcontent.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_showcontent.o moc_files/moc_showcontent.cpp

obj_files/moc_selreadable.o: moc_files/moc_selreadable.cpp selreadable.h

## cdcat 0.99

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: cdcat
-# Generated by qmake (1.04a) (Qt 3.1.1) on: Tue Apr 27 20:34:50 2004
+# Generated by qmake (1.07a) (Qt 3.3.3) on: Tue Nov  2 22:22:51 2004
 # Project:  cdcat.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile cdcat.pro
@@ -12,24 +12,26 @@
 CXX      = g++
 LEX      = flex
 YACC     = yacc
-CFLAGS   = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
-CXXFLAGS = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
+CFLAGS   = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
+CXXFLAGS = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
 LEXFLAGS = 
 YACCFLAGS= -d
-INCPATH  = -I$(QTDIR)/mkspecs/default -I. -I$(QTDIR)/include -Imoc_files/
+INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -Imoc_files/
 LINK     = g++
 LFLAGS   = 
-LIBS     = $(SUBLIBS)  -Wl,-rpath,$(QTDIR)/lib -L$(QTDIR)/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt -lXext -lX11 -lm
+LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt-mt -lXext -lX11 -lm
 AR       = ar cqs
 RANLIB   = 
-MOC      = $(QTDIR)/bin/moc
-UIC      = $(QTDIR)/bin/uic
+MOC      = /usr/share/qt3/bin/moc
+UIC      = /usr/share/qt3/bin/uic
 QMAKE    = qmake
 TAR      = tar -cf
 GZIP     = gzip -9f
 COPY     = cp -f
-COPY_FILE= $(COPY) -p
-COPY_DIR = $(COPY) -pR
+COPY_FILE= $(COPY)
+COPY_DIR = $(COPY) -r
+INSTALL_FILE= $(COPY_FILE)
+INSTALL_DIR = $(COPY_DIR)
 DEL_FILE = rm -f
 SYMLINK  = ln -sf
 DEL_DIR  = rmdir
@@ -66,6 +68,7 @@
 		selreadable.h \
 		borrow.h \
 		tparser.h \
+		colorsettings.h \
 		misc.h
 SOURCES = adddialog.cpp \
 		cdcat.cpp \
@@ -88,6 +91,7 @@
 		exportcdcatdb.cpp \
 		showcontent.cpp \
 		selreadable.cpp \
+		colorsettings.cpp \
 		borrow.cpp \
 		tparser.cpp \
 		misc.cpp
@@ -112,6 +116,7 @@
 		obj_files/exportcdcatdb.o \
 		obj_files/showcontent.o \
 		obj_files/selreadable.o \
+		obj_files/colorsettings.o \
 		obj_files/borrow.o \
 		obj_files/tparser.o \
 		obj_files/misc.o \
@@ -136,6 +141,7 @@
 		moc_files/moc_showcontent.cpp \
 		moc_files/moc_selreadable.cpp \
 		moc_files/moc_borrow.cpp \
+		moc_files/moc_colorsettings.cpp \
 		moc_files/moc_help.cpp
 OBJMOC = obj_files/moc_adddialog.o \
 		obj_files/moc_commwidget.o \
@@ -154,6 +160,7 @@
 		obj_files/moc_showcontent.o \
 		obj_files/moc_selreadable.o \
 		obj_files/moc_borrow.o \
+		obj_files/moc_colorsettings.o \
 		obj_files/moc_help.o
 DIST	   = cdcat.pro
 QMAKE_TARGET = cdcat
@@ -163,7 +170,7 @@
 first: all
 ####### Implicit rules
 
-.SUFFIXES: .c .cpp .cc .cxx .C
+.SUFFIXES: .c .o .cpp .cc .cxx .C
 
 .cpp.o:
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<
@@ -184,21 +191,22 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
-	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
+$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
+	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)
 
 mocables: $(SRCMOC)
+uicables: $(UICDECLS) $(UICIMPLS)
 
 $(MOC): 
-	( cd $(QTDIR)/src/moc ; $(MAKE) )
-
-Makefile: cdcat.pro  $(QTDIR)/mkspecs/default/qmake.conf 
+	( cd $(QTDIR)/src/moc && $(MAKE) )
+
+Makefile: cdcat.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
 	$(QMAKE) -o Makefile cdcat.pro
 qmake: 
 	@$(QMAKE) -o Makefile cdcat.pro
 
 dist: 
-	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
+	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
@@ -210,7 +218,7 @@
 yaccclean:
 lexclean:
 clean: mocclean uiclean
-	-$(DEL_FILE) $(OBJECTS) 
+	-$(DEL_FILE) $(OBJECTS)
 	-$(DEL_FILE) *~ core *.core
 
 
@@ -226,9 +234,9 @@
 
 obj_files/adddialog.o: adddialog.cpp adddialog.h \
 		guibase.h \
+		dbase.h \
 		dirview.h \
 		icons.h \
-		dbase.h \
 		mainwidget.h \
 		config.h \
 		misc.h \
@@ -247,6 +255,7 @@
 		cdcat.h \
 		wdbfile.h \
 		recode.h \
+		config.h \
 		icons.h \
 		mainwidget.h \
 		showcontent.h
@@ -266,7 +275,8 @@
 		mp3tag.h \
 		wdbfile.h \
 		adddialog.h \
-		recode.h
+		recode.h \
+		tparser.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dbase.o dbase.cpp
 
 obj_files/dirview.o: dirview.cpp dirview.h \
@@ -287,6 +297,7 @@
 		guibase.h \
 		borrow.h \
 		mainwidget.h \
+		colorsettings.h \
 		dbase.h \
 		recode.h \
 		wdbfile.h \
@@ -380,6 +391,11 @@
 		icons.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/selreadable.o selreadable.cpp
 
+obj_files/colorsettings.o: colorsettings.cpp colorsettings.h \
+		icons.h \
+		config.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/colorsettings.o colorsettings.cpp
+
 obj_files/borrow.o: borrow.cpp borrow.h \
 		icons.h \
 		recode.h \
@@ -403,53 +419,40 @@
 obj_files/help.o: help.cpp help.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/help.o help.cpp
 
-obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp adddialog.h 
+obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp  adddialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_adddialog.o moc_files/moc_adddialog.cpp
 
-obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp commwidget.h 
+obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp  commwidget.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_commwidget.o moc_files/moc_commwidget.cpp
 
-obj_files/moc_config.o: moc_files/moc_config.cpp config.h 
+obj_files/moc_config.o: moc_files/moc_config.cpp  config.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_config.o moc_files/moc_config.cpp
 
-obj_files/moc_dbase.o: moc_files/moc_dbase.cpp dbase.h 
+obj_files/moc_dbase.o: moc_files/moc_dbase.cpp  dbase.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dbase.o moc_files/moc_dbase.cpp
 
-obj_files/moc_dirview.o: moc_files/moc_dirview.cpp dirview.h 
+obj_files/moc_dirview.o: moc_files/moc_dirview.cpp  dirview.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dirview.o moc_files/moc_dirview.cpp
 
-obj_files/moc_find.o: moc_files/moc_find.cpp find.h 
+obj_files/moc_find.o: moc_files/moc_find.cpp  find.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_find.o moc_files/moc_find.cpp
 
-obj_files/moc_guibase.o: moc_files/moc_guibase.cpp guibase.h 
+obj_files/moc_guibase.o: moc_files/moc_guibase.cpp  guibase.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_guibase.o moc_files/moc_guibase.cpp
 
-obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp hdirview.h 
+obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp  hdirview.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_hdirview.o moc_files/moc_hdirview.cpp
 
-obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp mainwidget.h 
+obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp  mainwidget.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_mainwidget.o moc_files/moc_mainwidget.cpp
 
-obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp newdbdialog.h 
+obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp  newdbdialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_newdbdialog.o moc_files/moc_newdbdialog.cpp
 
-obj_files/moc_import.o: moc_files/moc_import.cpp import.h guibase.h \
+obj_files/moc_import.o: moc_files/moc_import.cpp  import.h guibase.h \
 		dbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_import.o moc_files/moc_import.cpp
 
-obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp importdialog.h 
+obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp  importdialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_importdialog.o moc_files/moc_importdialog.cpp
 
-obj_files/moc_info.o: moc_files/moc_info.cpp info.h 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_info.o moc_files/moc_info.cpp
-
-obj_files/moc_exportcdcatdb.o: moc_files/moc_exportcdcatdb.cpp exportcdcatdb.h recode.h \
-		guibase.h \
-		dbase.h \
-		wdbfile.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_exportcdcatdb.o moc_files/moc_exportcdcatdb.cpp
-
-obj_files/moc_showcontent.o: moc_files/moc_showcontent.cpp showcontent.h 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_showcontent.o moc_files/moc_showcontent.cpp
-
-obj_files/moc_selreadable.o: moc_files/moc_selreadable.cpp selreadable.h

## cdcat 1.0

=== KDE/Makefile ===

install:
	cp x-hcf.xml  /usr/share/mime/packages/
	update-mime-database
	cp cdcat.desktop /usr/share/applications
	cp cdcat.png /usr/share/icons

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: cdcat
-# Generated by qmake (1.07a) (Qt 3.3.3) on: Tue Nov  2 22:22:51 2004
+# Generated by qmake (1.07a) (Qt 3.3.4) on: Sun May 15 14:48:12 2005
 # Project:  cdcat.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile cdcat.pro
@@ -206,7 +206,7 @@
 	@$(QMAKE) -o Makefile cdcat.pro
 
 dist: 
-	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
+	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/cdcat_id.ts lang/cdcat_it.ts lang/cdcat_fr.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
@@ -454,5 +454,3 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_import.o moc_files/moc_import.cpp
 
 obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp  importdialog.h 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_importdialog.o moc_files/moc_importdialog.cpp
-

## cdcat 1.01b

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: cdcat
-# Generated by qmake (1.07a) (Qt 3.3.4) on: Sun May 15 14:48:12 2005
+# Generated by qmake (1.07a) (Qt 3.3.4) on: Sat Nov  5 14:01:40 2005
 # Project:  cdcat.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile cdcat.pro
@@ -206,7 +206,7 @@
 	@$(QMAKE) -o Makefile cdcat.pro
 
 dist: 
-	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/cdcat_id.ts lang/cdcat_it.ts lang/cdcat_fr.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
+	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/cdcat_id.ts lang/cdcat_it.ts lang/cdcat_fr.ts lang/cdcat_sr.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)

## cdcat 1.7

=== debian/changelog ===
cdcat (1.7-2) unstable; urgency=low

  * Adjusted build dependencies (closes: #660322)

 -- Eduard Bloch <blade@debian.org>  Fri, 17 Feb 2012 17:51:55 +0100

cdcat (1.7-1) unstable; urgency=low

  * New upstream release (closes: LP: #899988)
    + includes various crash fixes (closes: #453271, #446054)
    + includes my mp3 tag parses fixes (closes: #342934)
  * packaging conversion to 3.0 (quilt) and xz compression

 -- Eduard Bloch <blade@debian.org>  Fri, 17 Feb 2012 17:40:08 +0100

cdcat (1.2-1) unstable; urgency=low

  * New upstream release (closes: #604505) 
  * added cdcat.desktop (closes: #496097)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Mar 2011 08:38:48 +0100

cdcat (1.01b+1.1beta4-1) experimental; urgency=low

  * New upstream beta release
    + using qt4 (closes: #604505)
  * using new style menu entry location (closes: #496097)
  * disabling strip call with nostrip in DEB_BUILD_OPTIONS (closes: #436617)

 -- Eduard Bloch <blade@debian.org>  Thu, 10 Feb 2011 21:10:51 +0100

cdcat (1.01b-2) unstable; urgency=low

  * mp3tag_string_termination.dpatch by arno:
    String termination correction (closes: #358929)
  * explicitely use qmake-qt3 (potential FTBFS), also updated Standards-Version

 -- Eduard Bloch <blade@debian.org>  Thu, 12 Jul 2007 22:35:44 +0200

cdcat (1.01b-1) unstable; urgency=low

  * New upstream release
    + adopted the hidden-files-display patch
  * g++-4.1_fix.dpatch for incorrect constructor prototype (closes: #356234)

 -- Eduard Bloch <blade@debian.org>  Sat, 11 Mar 2006 00:33:32 +0100

cdcat (1.0-3) unstable; urgency=low

  * CXX 4.0 transition

 -- Eduard Bloch <blade@debian.org>  Mon, 15 Aug 2005 09:46:01 +0200

cdcat (1.0-2) unstable; urgency=low

  * dpatched the filesystem scanning function to "see" hidden and system
    files (was easier than I expected, closes: #315286)

 -- Eduard Bloch <blade@debian.org>  Sat,  2 Jul 2005 13:38:14 +0200

cdcat (1.0-1) unstable; urgency=low

  * New upstream release
    + includes almost identical french translation (closes: #316410)
    + no more crashing on WHALE.AVI (closes: #269754)

 -- Eduard Bloch <blade@debian.org>  Sat,  2 Jul 2005 13:15:15 +0200

cdcat (0.99-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu,  2 Dec 2004 21:05:41 +0100

cdcat (0.98-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Sep 2004 10:19:15 +0200

cdcat (0.97+0.98pre3-1) unstable; urgency=low

  * New upstream pre-release

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Sep 2004 17:03:23 +0200

cdcat (0.97-1) unstable; urgency=low

  * New upstream release
  * using libqt3-mt now

 -- Eduard Bloch <blade@debian.org>  Thu, 20 May 2004 14:24:28 +0200

cdcat (0.96-2) unstable; urgency=low

  * Completed build dependencies

 -- Eduard Bloch <blade@debian.org>  Fri,  5 Mar 2004 16:45:04 +0100

cdcat (0.96-1) unstable; urgency=low

  * Initial Release (closes: #219139)
  * Included manpage from Jorge Bernal

 -- Eduard Bloch <blade@debian.org>  Fri,  5 Mar 2004 15:31:31 +0100

## cdcat 1.8

=== debian/changelog ===
cdcat (1.8-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:35 +0000

cdcat (1.8-1build1) wily; urgency=medium

  * No-change rebuild against libmediainfo0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:58:08 +0200

cdcat (1.8-1) unstable; urgency=low

  * New upstream release
    + search crash fix (closes: #662030)

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Mar 2012 11:11:34 +0100

=== debian/control ===
Source: cdcat
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 7), qt4-qmake, libqt4-dev, libpcre3-dev, libexpat1-dev, zlib1g-dev, libtar-dev, libmediainfo-dev (>= 0.7.53), libzen-dev, libtinyxml-dev, pkg-config, libbz2-dev
Standards-Version: 3.9.2

Package: cdcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: media catalog program 
 CDCat is a graphical, multiplatform media catalog program which scans the      
 directories/drives you specify and makes a list of the filesystem
 contents (including the tags of MP3 files) and stores the result in a
 gzipped XML file.

## cdcat 2.3.1

=== debian/changelog ===
cdcat (2.3.1-0~mx23) mx; urgency=medium

  * New upstream release
  * Patch from AUR for using Qt5 instead of Qt4.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 17 Dec 2023 00:23:18 -0500

=== debian/control ===
Source: cdcat
Section: x11
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper, qt5-qmake, qttools5-dev, p7zip, lib7zip-dev, libqt5core5a, libcrypto++-dev, libpcre3-dev, libexpat1-dev, zlib1g-dev, libtar-dev, libmediainfo-dev (>= 0.7.53), libzen-dev, libtinyxml-dev, pkg-config, libbz2-dev
Standards-Version: 4.6.0

Package: cdcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: media catalog program 
 CDCat is a graphical, multiplatform media catalog program which scans the      
 directories/drives you specify and makes a list of the filesystem
 contents (including the tags of MP3 files) and stores the result in a
 gzipped XML file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	STRIP=strip
else
	STRIP=true
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	#cd src && qmake cdcat.pro DEFINES+=MEDIAINFO_STATIC
	cd src &&  qmake cdcat.pro
	perl -pe s/usr.local/usr/g -i src/Makefile
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd src && $(MAKE) $(MAKEFLAGS) && lrelease cdcat.pro
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp src/cdcat
	-test -f src/Makefile || ./debian/rules configure 
	-cd src && $(MAKE) clean && rm Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd src && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp STRIP=$(STRIP)

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs ChangeLog
	cp debian/cdcat.desktop debian/cdcat/usr/share/applications
	cp cdcat.png debian/cdcat/usr/share/icons
	dh_installdocs
	dh_installman debian/cdcat.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installmenu
	-dh_icons
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
